%global pypi_name trustme

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 3
Summary:        #1 quality TLS certs while you wait, for the discerning tester
License:        MIT or ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/trustme
Source0:        %{pypi_source}
BuildArch:      noarch

%description
You wrote a cool network client or server. It encrypts connections using TLS. Your test suite needs to make TLS connections to itself.

Uh oh. Your test suite probably doesn’t have a valid TLS certificate. Now what?

trustme is a tiny Python package that does one thing: it gives you a fake certificate authority (CA) that you can use to generate fake TLS certs to use in your tests. Well, technically they’re real certs, they’re just signed by your CA, which nobody trusts. But you can trust it. Trust me.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(service-identity)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(idna)

%description -n python3-%{pypi_name}
You wrote a cool network client or server. It encrypts connections using TLS. Your test suite needs to make TLS connections to itself.

Uh oh. Your test suite probably doesn’t have a valid TLS certificate. Now what?

trustme is a tiny Python package that does one thing: it gives you a fake certificate authority (CA) that you can use to generate fake TLS certs to use in your tests. Well, technically they’re real certs, they’re just signed by your CA, which nobody trusts. But you can trust it. Trust me.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest --verbose

%files -n python3-%{pypi_name}
%doc LICENSE LICENSE.MIT LICENSE.APACHE2
%doc README.rst
%{python3_sitelib}/trustme
%{python3_sitelib}/trustme-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1835760
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.9.0-2.mga9
+ Revision: 1772920
- rebuild for python3.10

* Sun Aug 22 2021 guillomovitch <guillomovitch> 0.9.0-1.mga9
+ Revision: 1742325
- new version 0.9.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.7.0-1.mga9
+ Revision: 1706236
- new version 0.7.0

* Tue Nov 10 2020 guillomovitch <guillomovitch> 0.6.0-1.mga8
+ Revision: 1644428
- imported package python-trustme

